Subject: Re: [PATCH v3 4/5] builtin/pack-redundant: remove subcommand with breaking changes

From: Junio C Hamano <[email-masked]>
Date: Tue, 21 Jan 2025 13:09:50 -0800

Patrick Steinhardt <[email-masked]> writes:

> The git-pack-redundant(1) subcommand has been announced for removal with
> 53a92c9552 (Documentation/BreakingChanges: announce removal of
> git-pack-redundant(1), 2024-09-02). Stop compiling the subcommand in
> case the `WITH_BREAKING_CHANGES` build flag is set.

Nice.

The date it was added to BreakingChanges document is probably of
much lessor impact and importance to the end users than when we
stopped working unless the user gave "--i-still-use-this" which was
done by 4406522b (pack-redundant: escalate deprecation warning to an
error, 2023-03-23) that was in Git 2.41.

Other than that, I love this step.  The fewer the subcommands, the
happier the users ;-)